Loading...
Searching...
No Matches
context.c File Reference

## Functions

int | fat_op_context_create_initial_fat (FatOpContext *ctx)
void | fat_op_context_destroy (FatOpContext *ctx)
FatCluster | fat_op_context_map_cluster (const FatOpContext *ctx, FatCluster clst)
FatFragment _GL_ATTRIBUTE_PURE | fat_op_context_map_fragment (const FatOpContext *ctx, FatFragment frag)
FatCluster | fat_op_context_map_static_cluster (const FatOpContext *ctx, FatCluster clst)
FatFragment _GL_ATTRIBUTE_PURE | fat_op_context_map_static_fragment (const FatOpContext *ctx, FatFragment frag)
FatOpContext * | fat_op_context_new (PedFileSystem *new_fs, PedFileSystem *old_fs)

## Function Documentation

## fat_op_context_create_initial_fat()

int fat_op_context_create_initial_fat | ( | FatOpContext * | ctx | ) |

## fat_op_context_destroy()

void fat_op_context_destroy | ( | FatOpContext * | ctx | ) |

## fat_op_context_map_cluster()

FatCluster fat_op_context_map_cluster | ( | const FatOpContext * | ctx,
|  | FatCluster | clst )

## fat_op_context_map_fragment()

FatFragment _GL_ATTRIBUTE_PURE fat_op_context_map_fragment | ( | const FatOpContext * | ctx,
|  | FatFragment | frag )

## fat_op_context_map_static_cluster()

FatCluster fat_op_context_map_static_cluster | ( | const FatOpContext * | ctx,
|  | FatCluster | clst )

## fat_op_context_map_static_fragment()

FatFragment _GL_ATTRIBUTE_PURE fat_op_context_map_static_fragment | ( | const FatOpContext * | ctx,
|  | FatFragment | frag )

## fat_op_context_new()

FatOpContext * fat_op_context_new | ( | PedFileSystem * | new_fs,
|  | PedFileSystem * | old_fs )